#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( librss )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/librss
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    kntsrcfilepropsdlg.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )


##### libkntsrcfilepropsdlg (module) ###############

tde_add_kpart( libkntsrcfilepropsdlg AUTOMOC
  SOURCES
    kntsrcfilepropsdlg.cpp kntsrcfilepropsdlgwidget.ui
  LINK knewstickercommon-static rss-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
